Skip to main content
`Ctrl`+`K`

# MFNGetErrorIfNotConverged

Return a flag indicating whether `MFNSolve()` will generate an error if the solver does not converge.

## Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNGetErrorIfNotConverged(MFN mfn,PetscBool *flag)

Not Collective

## Input Parameter

- mfn - the matrix function solver context

## Output Parameter

- flag - `PETSC_TRUE` if it will generate an error, else `PETSC_FALSE`

## See Also

MFN: Matrix Function, `MFNSetErrorIfNotConverged()`

## Level

intermediate

## Location

src/mfn/interface/mfnopts.c

Index of all MFN routines Table of Contents for all manual pages Index of all manual pages